#ifndef SPRITE_HPP_INCLUDED
#define SPRITE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>

namespace Internal
{
    class Sprite : public Object
    {
        public:
            Sprite();
            Sprite(const void* Obj);
            Sprite(const Sprite& S);
            static Class GetClass();

            std::int32_t GetHeight() const;
            std::vector<std::int32_t> GetPixels() const;
            std::int32_t GetWidth() const;

    };
}

#endif // SPRITE_HPP_INCLUDED
